PATCH /api/v2/perp/order — Modify a perpetual order
curl --request PATCH \
--url https://api.shuriken.trade/api/v2/perp/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"coin": "<string>",
"isBuy": true,
"limitPx": "<string>",
"sz": "<string>",
"walletId": "<string>",
"cloid": "<string>",
"newCloid": "<string>",
"oid": 1,
"orderType": "<string>"
}
'import requests
url = "https://api.shuriken.trade/api/v2/perp/order"
payload = {
"coin": "<string>",
"isBuy": True,
"limitPx": "<string>",
"sz": "<string>",
"walletId": "<string>",
"cloid": "<string>",
"newCloid": "<string>",
"oid": 1,
"orderType": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
coin: '<string>',
isBuy: true,
limitPx: '<string>',
sz: '<string>',
walletId: '<string>',
cloid: '<string>',
newCloid: '<string>',
oid: 1,
orderType: '<string>'
})
};
fetch('https://api.shuriken.trade/api/v2/perp/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"results": [
{
"status": "<string>",
"cloid": "<string>",
"error": "<string>",
"oid": 1
}
]
},
"requestId": "<string>",
"pagination": {
"hasMore": true,
"limit": 1,
"page": 1,
"total": 1
}
}Perpetuals
Modify Order
PATCH
/
api
/
v2
/
perp
/
order
PATCH /api/v2/perp/order — Modify a perpetual order
Authorizations
Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.
Body
application/json
⌘I